---
title: Blob.text()
slug: Web/API/Blob/text
tags:
  - API
  - Blob
  - File API
  - Method
  - Reference
  - String
  - Text
  - Utf-8
  - get
  - read
---
<div>{{APIRef("File API")}}</div>

<p><span class="seoSummary">The <code><strong>text()</strong></code> method in the {{domxref("Blob")}} interface returns a {{jsxref("Promise")}} that resolves with a string containing the contents of the blob, interpreted as UTF-8.</span></p>

<ul>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>textPromise</em> = <em>blob</em>.text();

<em>blob</em>.text().then(<em>text</em> =&gt; /* do something with the text */);

var <em>text</em> = await <em>blob</em>.text();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A promise that resolves with a {{domxref("USVString")}} which contains the blob's data as a text string. The data is <em>always</em> presumed to be in UTF-8 format.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The {{domxref("FileReader")}} method {{domxref("FileReader.readAsText", "readAsText()")}} is an older method that performs a similar function. It works on both <code>Blob</code> and {{domxref("File")}} objects. There are two key differences:</p>

<ul>
 <li><code>Blob.text()</code> returns a promise, whereas <code>FileReader.readAsText()</code> is an event based API.</li>
 <li><code>Blob.text()</code> always uses UTF-8 as encoding, while <code>FileReader.readAsText()</code> can use a different encoding depending on the blob's type and a specified encoding name.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("File API", "#dom-blob-text", "Blob.text()")}}</td>
   <td>{{Spec2("File API")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Blob.text")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Body.text()")}}</li>
 <li><a href="/en-US/docs/Web/API/Streams_API">Streams API</a></li>
 <li>{{domxref("FileReader.readAsText()")}}</li>
</ul>
